NLS (Lucene 3.6.2 API)
Keywords: org.apache.lucene.messages.NLS class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.messages
Class NLS

    java.lang.Object
      org.apache.lucene.messages.NLS

Direct Known Subclasses:
  QueryParserMessages

Deprecated. Will be moved to a private package inside flexible query parser (Lucene 4.0).

    @Deprecated
    public class NLS

extends Object

MessageBundles classes extend this class, to implement a bundle. For Native Language Support (NLS), system of software internationalization. This interface is similar to the NLS class in eclipse.osgi.util.NLS class - initializeMessages() method resets the values of all static strings, should only be called by classes that extend from NLS (see TestMessages.java for reference) - performs validation of all message in a bundle, at class load time - performs per message validation at runtime - see NLSTest.java for usage reference MessageBundle classes may subclass this type.

Constructor Summary
`protected` | `NLS()` Deprecated.

Method Summary
`static String` | `getLocalizedMessage(String key)` Deprecated.
`static String` | `getLocalizedMessage(String key, Locale locale)` Deprecated.
`static String` | `getLocalizedMessage(String key, Locale locale, Object... args)` Deprecated.
`static String` | `getLocalizedMessage(String key, Object... args)` Deprecated.
`protected static void` | `initializeMessages(String bundleName, Class<? extends NLS> clazz)` Deprecated. Initialize a given class with the message bundle Keys Should be called from a class that extends NLS in a static block at class load time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NLS

    protected NLS()

  Deprecated.

Method Detail

### getLocalizedMessage

    public static String getLocalizedMessage(String key)

  Deprecated.

### getLocalizedMessage

    public static String getLocalizedMessage(String key,
                                             Locale locale)

  Deprecated.

### getLocalizedMessage

    public static String getLocalizedMessage(String key,
                                             Locale locale,
                                             Object... args)

  Deprecated.

### getLocalizedMessage

    public static String getLocalizedMessage(String key,
                                             Object... args)

  Deprecated.

### initializeMessages

    protected static void initializeMessages(String bundleName,
                                             Class<? extends NLS> clazz)

  Deprecated.
  Initialize a given class with the message bundle Keys Should be called from a class that extends NLS in a static block at class load time.

  Parameters:
    `bundleName` - Property file with that contains the message bundle
    `clazz` - where constants will reside

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD